[Debian stretch] Linphone ne s'ex=c3=a9cute pas

Le
Geo Cherchetout
Bonjour,

La version du paquet Linphone installé est 3.6.1-3.
Quand je tente de lancer linphone dans une console virtuelle j'obtiens ce
message d'erreur :

$ linphone
error while loading shared libraries: libavcodec.so.54: cannot open shared
object file: No such file or directory

Dans synaptic figure un paquet libavcodec54 mais qui « n'est pas disponible
bien qu'il soit listé dans la base de données.
Les explications possibles sont que le paquet est listé dans les dépendances
sans jamais avoir été publié, qu'il est devenu obsolète ou qu'il n'est pas
disponible sur les dépôts définis dans le fichier sources.list. »

J'ai cru tromper l'ennemi en créant un lien symbolique vers libavcodec.so.56
mais ce furent ensuite libavutil.so.52, puis libGLEW.so.1.10 et
libpolarssl.so.5, que j'ai traités l'un après l'autre de la même façon sans
trop y croire, les paquets censés les fournir n'étant pas non plus
disponibles. Le procédé n'est sûrement pas très orthodoxe mais des fois ça
marche. ;-)

Linphone ne démarre toujours pas. Le message d'erreur peut se résumer à «
not found LIBAVCODEC_54 LIBAVUTIL_52 ». J'ai désinstallé et réinstallé le
paquet linphone ainsi que liblinphone5, linphone-common et linphone-nogtk,
rien n'y fait.

Merci d'avance pour vos commentaires et suggestions
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
zeLittle
Le #26526731
"Geo Cherchetout" a écrit dans le message de groupe de discussion :
qmg00f$1goo$
Merci d'avance pour vos commentaires et suggestions...


Et du côté des paquets cassés (toujours dans Synaptic, panneau gauche,
Status > Broken ou Cassé)?
zeLittle
Le #26526730
"zeLittle" a écrit dans le message de groupe de discussion :
5d8b9eb7$0$3531$
Et du côté des paquets cassés (toujours dans Synaptic, panneau gauche,
Status > Broken ou Cassé)?


s'il y en a ==> les supprimer, à minima, avant de re-tenter autre chose...
Geo Cherchetout
Le #26526765
Le 25/09/2019 19:01, *zeLittle* a écrit :
Et du côté des paquets cassés (toujours dans Synaptic, panneau gauche,
Status > Broken ou Cassé)?

Merci de te pencher sur mon cas. Cet état n'est pas proposé, je suppose donc
qu'aucun paquet n'est dans cet état.
De toute façon, ça ne fait rien, j'efface carrément Stretch et j'installe
Buster, Bittorrent est au travail.
Jo Engo
Le #26526808
Le Thu, 26 Sep 2019 10:10:21 +0200, Geo Cherchetout a écrit :
j'installe Buster

Debian buster n'est-il pas en fin de vie ?

--
- Pomme, gnôle ou gueuze?
- Quoi?! Un bon vin, huit ans d'âge!
- Un' feuille.
- C'est cher!
-- Breton, J.C.
Geo Cherchetout
Le #26526960
Le 26/09/2019 10:10, *Geo Cherchetout* a écrit :
Le 25/09/2019 19:01, *zeLittle* a écrit :
Et du côté des paquets cassés (toujours dans Synaptic, panneau gauche,
Status > Broken ou Cassé)?

Merci de te pencher sur mon cas. Cet état n'est pas proposé, je suppose donc
qu'aucun paquet n'est dans cet état.
De toute façon, ça ne fait rien, j'efface carrément Stretch et j'installe
Buster, Bittorrent est au travail.

Et voilà, Linphone 3.12.0-3 est parfaitement fonctionnel dans Buster. :-)
Publicité
Poster une réponse
Anonyme